%To let player create new ProLog file, this cannot be done in Java. 
%Player is trick leader
play(Player, SuitToPlay, RankToPlay) 					:-	playLeader(Player, SuitToPlay, RankToPlay),
															\+ leaderCard(_,_,_).
%Player can follow suit	
play(Player, SuitToPlay, RankToPlay) 					:-	leaderCard(_,_,_),
															playFollowSuit(Player, SuitToPlay, RankToPlay).
%Player cannot follow suit and partner owns
%play(Player, SuitToPlay, RankToPlay) 					:- 	\+ playLeader(Player, SuitToPlay, RankToPlay),
%															\+ playFollowSuit(Player, SuitToPlay, RankToPlay),
%															ownerCard(Partner,_,_), partner(Partner, Player),
%															playLeader(Player, SuitToPlay, RankToPlay).
%Player cannot follow suit and partner does not own
%play(Player, SuitToPlay, RankToPlay) 					:- 	\+ playLeader(Player, SuitToPlay, RankToPlay),
%															\+ playFollowSuit(Player, SuitToPlay, RankToPlay),
%															ownerCard(Partner,_,_), \+ partner(Partner, Player),
%															playTrump(Player, SuitToPlay, RankToPlay).
%															
playLeader(Player, SuitToPlay, RankToPlay) 				:-	hand(Player, SuitToPlay, RankToPlay).
playFollowSuit(Player, SuitToPlay, RankToPlay) 			:- 	hand(Player, SuitToPlay, RankToPlay),
															leaderCard(_,SuitToPlay,_),
															\+ trump(SuitToPlay).
playFollowSuit(Player, SuitToPlay, RankToPlay) 			:- 	hand(Player, SuitToPlay, RankToPlay),
															leaderCard(_,SuitToPlay,B),
															trump(SuitToPlay),
															playHigher(SuitToPlay, RankToPlay, SuitToPlay, B).
%															
%playTrump(Player, SuitToPlay, RankToPlay)				:-	hand(Player, SuitToPlay, RankToPlay),
%															trump(SuitToPlay).
%playTrump(Player, SuitToPlay, RankToPlay)				:-	hand(Player, SuitToPlay, RankToPlay),
%															\+ trump(SuitToPlay).
playHigher(SuitToPlay, RankToPlay, SuitToPlay, B)		:-	higher(2, RankToPlay, 2, 12).
%playHigher(SuitToPlay, RankToPlay, SuitToPlay, B)		:-	\+ higher(SuitToPlay, RankToPlay, SuitToPlay, B).